%define upstream_name    Term-ReadLine-Perl5
%define upstream_version 1.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Perl5 implementation GNU Readline
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(File::HomeDir) >= 0.810.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Term::Cap)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Text::VisualWidth::PP)
BuildRequires: perl(Unicode::EastAsianWidth::Detect)
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%description
Overview
    This is a implementation of the GNU Readline/History Library written in
    Perl5.

    GNU Readline reads lines from an interactive terminal with _emacs_ or
    _vi_ editing capabilities. It provides as mechanism for saving history
    of previous input.

    This package typically used in command-line interfaces and REPLs (Read,
    Eval, Print, Loop).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
AUTOMATED_TESTING=1 ./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes ChangeLog LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.390.0-4.mga5
+ Revision: 743443
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 1.390.0-3.mga5
+ Revision: 724533
- use %%perl_default_filter (fix requires)

* Tue Sep 16 2014 umeabot <umeabot> 1.390.0-2.mga5
+ Revision: 686380
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 1.390.0-1.mga5
+ Revision: 662702
- update to 1.39

* Wed Jun 04 2014 sander85 <sander85> 1.380.0-1.mga5
+ Revision: 633011
- update to 1.38

* Mon May 26 2014 sander85 <sander85> 1.370.0-1.mga5
+ Revision: 626781
- update to 1.37

* Sun May 25 2014 sander85 <sander85> 1.360.0-1.mga5
+ Revision: 626470
- update to 1.36

* Thu May 22 2014 sander85 <sander85> 1.350.0-1.mga5
+ Revision: 624983
- update to 1.35

* Wed May 21 2014 shlomif <shlomif> 1.340.0-1.mga5
+ Revision: 624607
- update to 1.34

* Sat May 17 2014 shlomif <shlomif> 1.320.0-1.mga5
+ Revision: 623297
- update to 1.32

* Tue May 06 2014 shlomif <shlomif> 1.290.0-1.mga5
+ Revision: 620473
- Fix version
- Convert to Module::Build
- Importing the package from cpan2pkg


* Sat May 03 2014 cpan2dist 1.29-1mga
- initial mageia release, generated with cpan2dist
